Get Price List Assignments

Fetches an array of Price List Assignments matching a particular Customer Group and Price List and Channel.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

idintegerOptional

The ID of the Price List Assignment.

price_list_idintegerOptional

The ID of the Price List.

customer_group_idintegerOptional

The ID of the Customer Group.

channel_idintegerOptional

The ID of the Channel.

id:inlist of integersOptional

Filter items by a comma-separated list of IDs.

customer_group_id:inlist of integersOptional

Filter items by a comma-separated list of customer group IDs.

price_list_id:inlist of integersOptional

Filter items by a comma-separated list of price list IDs.

channel_id:inlist of integersOptional

Filter items by a comma-separated list of channel IDs.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products. If you provide only a limit, the API returns both paginations while applying that limit.

beforestringOptional
A cursor that can be used for backwards pagination. Will fetch results before the position corresponding to the cursor. Cannot be used with the 'page' query parameter. Cannot be used with the 'after' query parameter.
afterstringOptional
A cursor that can be used for forwards pagination. Will fetch results after the position corresponding to the cursor. Cannot be used with the 'page' query parameter. Cannot be used with the 'before' query parameter.

Response

An array of price list assignments and metadata.
datalist of objects
metaobject

‘Contains data about paginating the response via cursors. If no pagination details are specified or if you only provide a limit, then both properties will be present. When a ‘before’ or ‘after’ cursor is provided, only the ‘cursor_pagination’ property will be present. When a ‘page’ parameter is provided, only the offset based ‘pagination’ property will be present.’